ConfigSchemaTask (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.ConfigSchemaTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class ConfigSchemaTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.ConfigSchemaTask

All Implemented Interfaces:
  InteractiveResponseBuilder_IOHandler

    public class ConfigSchemaTask

extends org.apache.tools.ant.Task
implements InteractiveResponseBuilder_IOHandler

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConfigSchemaTask()`

Method Summary
`void` | `errOutput(java.lang.String msg)`
`void` | `execute()`
`java.lang.String` | `handleHiddenInput(java.lang.String prompt)`
`java.lang.String` | `handleInput(java.lang.String prompt)`
`boolean` | `isDeveloper()`
`void` | `setClass(java.lang.String c)`
`void` | `setCompletionFile(java.io.File f)`
`void` | `setFile(java.io.File f)`
`void` | `setIfDefined(java.lang.String prop)`
`void` | `setInputPrefix(java.lang.String p)`
`void` | `setInstallDirPropName(java.lang.String p)`
`void` | `setLoadFile(java.io.File f)`
`void` | `setOutputPrefix(java.lang.String p)`
`void` | `setReplaceInstallDir(boolean b)`
`void` | `validateAttributes()`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigSchemaTask

    public ConfigSchemaTask()

Method Detail

### setClass

    public void setClass(java.lang.String c)

### setInputPrefix

    public void setInputPrefix(java.lang.String p)

### setOutputPrefix

    public void setOutputPrefix(java.lang.String p)

### setFile

    public void setFile(java.io.File f)

### setLoadFile

    public void setLoadFile(java.io.File f)

### setInstallDirPropName

    public void setInstallDirPropName(java.lang.String p)

### setCompletionFile

    public void setCompletionFile(java.io.File f)

### setIfDefined

    public void setIfDefined(java.lang.String prop)

### setReplaceInstallDir

    public void setReplaceInstallDir(boolean b)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### validateAttributes

    public void validateAttributes()
                            throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### handleInput

    public java.lang.String handleInput(java.lang.String prompt)
                                 throws java.io.EOFException,
                                        java.io.IOException

  Specified by:
    `handleInput` in interface `InteractiveResponseBuilder_IOHandler`
  Throws:
    `java.io.EOFException`
    `java.io.IOException`
  See Also:
    `org.hyperic.util.config.InteractiveResponseBuilder.IOHandler#handleInput`

### handleHiddenInput

    public java.lang.String handleHiddenInput(java.lang.String prompt)
                                       throws java.io.EOFException,
                                              java.io.IOException

  Specified by:
    `handleHiddenInput` in interface `InteractiveResponseBuilder_IOHandler`
  Throws:
    `java.io.EOFException`
    `java.io.IOException`

### errOutput

    public void errOutput(java.lang.String msg)

  Specified by:
    `errOutput` in interface `InteractiveResponseBuilder_IOHandler`
  See Also:
    `org.hyperic.util.config.InteractiveResponseBuilder.IOHandler#errOutput`

### isDeveloper

    public boolean isDeveloper()

  Specified by:
    `isDeveloper` in interface `InteractiveResponseBuilder_IOHandler`
  See Also:
    `org.hyperic.util.config.InteractiveResponseBuilder.IOHandler#isDeveloper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.